{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Removes all tags from a specific account-level resource.","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/resource-tagging_account_id"}},"required":["account_id"],"additionalProperties":false},"headers":{"type":"object","properties":{"If-Match":{"type":"string","examples":["\"v1:RBNvo1WzZ4oRRq0W9-hkng\""],"description":"ETag value for optimistic concurrency control. When provided, the server will\nverify the current resource ETag matches before applying the write. Returns\n412 Precondition Failed if the resource has been modified since the ETag was\nobtained. Omit this header for unconditional writes.\n"}},"required":[],"additionalProperties":false},"body":{"$ref":"#/definitions/resource-tagging_delete_tags_request_account_level"}},"required":["path","body"],"additionalProperties":false,"definitions":{"resource-tagging_account_id":{"allOf":[{"$ref":"#/definitions/resource-tagging_identifier"}],"minLength":32},"resource-tagging_delete_tags_request_account_level":{"description":"Request body schema for deleting tags from account-level resources. Use /zones/{zone_id}/tags for zone-level resources.","oneOf":[{"$ref":"#/definitions/resource-tagging_delete_tags_request_account_level_worker_version"},{"$ref":"#/definitions/resource-tagging_delete_tags_request_account_level_base"}]},"resource-tagging_identifier":{"description":"Identifier.","type":"string","maxLength":32,"examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"resource-tagging_delete_tags_request_account_level_worker_version":{"description":"Request body schema for deleting tags from worker_version resources.","type":"object","properties":{"resource_id":{"$ref":"#/definitions/resource-tagging_resource_id"},"resource_type":{"$ref":"#/definitions/resource-tagging_account_resource_type_worker_version_enum"},"worker_id":{"$ref":"#/definitions/resource-tagging_worker_id"}},"required":["resource_type","resource_id","worker_id"]},"resource-tagging_delete_tags_request_account_level_base":{"description":"Request body schema for deleting tags from account-level resources.","type":"object","properties":{"resource_id":{"$ref":"#/definitions/resource-tagging_resource_id"},"resource_type":{"$ref":"#/definitions/resource-tagging_account_resource_type_base_enum"}},"required":["resource_type","resource_id"]},"resource-tagging_resource_id":{"description":"Identifies the unique resource.","type":"string","examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"resource-tagging_account_resource_type_worker_version_enum":{"description":"Enum for worker_version resource type.","type":"string","enum":["worker_version"],"examples":["worker_version"]},"resource-tagging_worker_id":{"description":"Worker ID is required only for worker_version resources","type":"string","examples":["3f72a691-44b3-4c11-8642-c18a88ddaa5e"]},"resource-tagging_account_resource_type_base_enum":{"description":"Enum for base account-level resource types (those with no extra required fields).","type":"string","enum":["access_application","access_group","access_service_token","account","account_ruleset","ai_gateway","ai_search_instance","ai_search_namespace","alerting_policy","alerting_webhook","cloudflared_tunnel","cws_deployment","cws_policy","cws_policy_set","cws_workload","d1_database","device","durable_object_namespace","gateway_list","gateway_rule","image","infrastructure_target","kv_namespace","load_balancer_monitor","load_balancer_pool","namespace_worker","pages_project","queue","r2_bucket","resource_share","stream_live_input","stream_video","vectorize_index","worker"],"examples":["worker"]}}},"name":"Delete tags from an account-level resource","id":"cloudflare.tags-delete","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353"},"body":{"resource_type":"worker_version","resource_id":"023e105f4ecef8ad9ca31a8372d0c353","worker_id":"3f72a691-44b3-4c11-8642-c18a88ddaa5e"}},"maxRequests":1,"summary":false}}